<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="menu-template">
		<xsl:param name="top-level" />
		<xsl:param name="contents" />

		<xsl:variable name="class">
			<xsl:if test="$top-level">top-level-menu</xsl:if>
		</xsl:variable>

		<ul>
			<xsl:attribute name="class">
				<xsl:value-of select="concat( 'menu ' , $class )" />
			</xsl:attribute>
			<xsl:copy-of select="$contents" />
		</ul>
	</xsl:template>

	<xsl:template name="menu-item-template">
		<xsl:param name="open" />
		<xsl:param name="contents" />
		<xsl:param name="sub-menu" />

		<li>
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="$open">menu-item open</xsl:when>
					<xsl:otherwise>menu-item</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>

			<xsl:apply-templates select="$contents" />
			<xsl:copy-of select="$sub-menu" />
		</li>

	</xsl:template>

</xsl:stylesheet>
